/*
 * p_io.h
 *
 * Created: 8/19/2020 5:17:56 PM
 *  Author: Penguin
 */ 
#ifndef _P_IO_H_
#define _P_IO_H_

#include "boaty.h"

typedef enum p_btn_state_t
{
	P_BTN_STATE_STOP = 0,
	P_BTN_STATE_FWD	= 1,
	P_BTN_STATE_REV = 2
}p_btn_state_t;
void p_io_init(void);
void p_io_enable(uint8_t eic_line);

// returns if the button state was updated
bool p_button_pressed(void);
p_btn_state_t p_button_state(void);

#endif